#include "progresswindow.h"
#include "ui_progresswindow.h"


void progressWindow::setProgressValue(int value)
{
    ui->progressBar->setValue(value);
}

void progressWindow::setLabelText(const QString &s)
{
    ui->label->setText(s);
}

progressWindow::progressWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::progressWindow)
{
    ui->setupUi(this);
    canceled = false;
}

progressWindow::~progressWindow()
{
    delete ui;
}
